Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

request-id
string

Optional client generated identifier to trace and debug a request.

correlation-id
string

Optional client generated identifier to trace and debug a series of requests.

Query Parameters

name
string

List organizations by name (partial match supported).

external_id
string

List organizations by their external ID.

page_number
integer<int32>
default:1

Results page number. Starts at page 1.

page_size
integer<int32>
default:100

Page size. Max value: 1000 Page size. Default value: 100. Max value: 1000

sort_by
string
default:id

Sort By. Sort By. Default value: 'id'.

sort_order
enum<string>
default:asc

Sort Order. Sort Order. Default value: 'asc'.

Available options:
asc,
desc

Response

OK

meta
object
required

Metadata about the API request, including an identifier, timestamp, and pagination details.

response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object[]
required